Delete a function for a definition
curl --request DELETE \
--url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Functions
Delete a function for a definition
Delete a function within a given definition.
DELETE
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Delete a function for a definition
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the app from which the function will be deleted.
The ID of the definition from which the function will be deleted.
The type of function to delete, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.
Available options:
POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS Response
Last modified on March 31, 2026
Was this page helpful?
⌘I